# Rocket.chat

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/rocketchat/status.svg)](https://drone.autonomic.zone/coop-cloud/rocketchat)

[Rocket.chat] using Coöp Cloud ♥

<!-- metadata -->
* **Category**: Apps
* **Status**: ❷💛
* **Image**: [`rocketchat/rocket.chat`](https://hub.docker.com/r/rocketchat/rocket.chat/), ❶💚, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: ❷💛
* **SSO**: ❶💚 (OAuth)
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][cc-traefik]
3. `abra app new rocketchat --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
9. Open the configured domain in your browser to finish set-up

## Keycloak OpenID single sign-on

(Or use Rocket.Chat's [manual set-up guide](https://docs.rocket.chat/guides/administrator-guides/authentication/open-id-connect/keycloak))

1. `abra app YOURAPPDOMAIN config`; uncomment and edit all the Accounts_OAuth
   lines, and the `COMPOSE_FILE` line
3. Insert the OpenID secret into Docker: (FIXME document how to do this using `abra`)
```
echo "your-secret-string-from-keycloak" | docker secret create "${STACK_NAME}_openid_key_${VERSION}" -
```
5. `abra app YOURAPPDOMAIN deploy`
5. You should now have a "Login via Keycloak" option on the login page

[Rocket.chat]: https://rocket.chat
[abra]: https://git.autonomic.zone/coop-cloud/abra
[cc-traefik]: https://git.autonomic.zone/coop-cloud/traefik
